Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] 1.7.4rc2r30148 - out-of-date mpirun usage output
From: Ralph Castain (rhc_at_[hidden])
Date: 2014-01-08 23:44:51


Updated (including the man page) - thanks!

On Jan 8, 2014, at 3:48 PM, Paul Hargrove <phhargrove_at_[hidden]> wrote:

> Note the following still indicates that "--bind-to none" is the default:
>
> -bash-4.2$ mpirun --help | grep -A2 'bind-to '
> --bind-to <arg0> Policy for binding processes [none (default) |
> hwthread | core | socket | numa | board] (supported
> qualifiers: overload-allowed,if-supported)
>
> However, Jeff has clearly stated (http://www.open-mpi.org/community/lists/devel/2013/12/13456.php) that bind-to-core is to be the default in 1.7.4.
>
> The --map-by and --rank-by outputs are similarly out-dated:
>
> -bash-4.2$ mpirun --help | grep -A1 'map-by '
> --map-by <arg0> Mapping Policy [slot (default) | hwthread | core |
> socket | numa | board | node]
> -bash-4.2$ mpirun --help | grep -A1 'rank-by '
> --rank-by <arg0> Ranking Policy [slot (default) | hwthread | core |
> socket | numa | board | node]
>
> -Paul
>
> --
> Paul H. Hargrove PHHargrove_at_[hidden]
> Future Technologies Group
> Computer and Data Sciences Department Tel: +1-510-495-2352
> Lawrence Berkeley National Laboratory Fax: +1-510-486-6900
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel